Bug 1021822 - Improve performance of ENCRYPT protocol
Improve performance of ENCRYPT protocol
Status: CLOSED NOTABUG
Product: JBoss Data Grid 6
Classification: JBoss
Component: JGroups (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 03:31 EDT by Martin Gencur
Modified: 2015-03-25 08:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-25 08:25:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JGRP-1722 Major Resolved Improve performance of ENCRYPT protocol 2014-07-11 07:17:50 EDT

  None (edit)
Description Martin Gencur 2013-10-22 03:31:51 EDT
See description in the JIRA issue.
Comment 2 JBoss JIRA Server 2013-10-24 01:36:27 EDT
Bela Ban <bela@jboss.com> made a comment on jira JGRP-1722

See if ENCRYPT could be moved *down* the stack, e.g. just below the reliable retransmission protocols ({{NAKACK}, {{UNICAST}}). I seem to recall though that ENCRYPT has a dep on GMS.
Comment 3 JBoss JIRA Server 2013-10-24 01:36:52 EDT
Bela Ban <bela@jboss.com> made a comment on jira JGRP-1722

See if ENCRYPT could be moved *down* the stack, e.g. just below the reliable retransmission protocols (NAKACK, UNICAST). I seem to recall though that ENCRYPT has a dep on GMS.
Comment 4 JBoss JIRA Server 2013-10-24 02:21:22 EDT
Martin Gencur <mgencur@redhat.com> made a comment on jira JGRP-1722

The replication works also with ENCRYPT placed under NAKACK while AUTH is placed under GMS. My functional test for the ISPN server passes with this configuration. Data is successfully replicated.
Comment 5 JBoss JIRA Server 2013-10-24 04:25:54 EDT
Bela Ban <bela@jboss.com> made a comment on jira JGRP-1722

I think this is only true if (a) there is no communication between joiner and coordinator needed or (b) the transport is reliable.
* (a) If we have a shared keystore or username/password encryption, then this works
* (b) If we need to send a key request to the coord, and the coord sends a response, then either the transport needs to be reliable or UNICAST needs to be below ENCRYPT, or else these requests are sent *unreliably* and might get lost. A possible solution for (b) could be to assume that the message sending is unreliable and send the key request to the coordinator until a valid key is received. In this case, ENCRYPT could be moved under NAKACK/UNICAST.

[~mgencur] Either you used TCP as transport, or you were just lucky that the message wasn't dropped. Under real stress, there are no guarantees that a message isn't dropped.
Comment 6 JBoss JIRA Server 2014-03-07 11:45:59 EST
Bela Ban <bela@jboss.com> updated the status of jira JGRP-1722 to Resolved
Comment 7 Martin Gencur 2014-12-03 09:19:45 EST
This needs further analysis. Moving target to 6.5. This will be revisited after 6.4

Note You need to log in before you can comment on or make changes to this bug.